<?php

namespace Drupal\kashing\Controller;

use Drupal\Core\Controller\ControllerBase;
use Drupal\Component\Utility\Html;

class KashingSuccessfulController extends ControllerBase {

    public function page() {
        return array(
            '#type' => 'markup',
            '#markup' => $this->success_page(),
        );
    }

    public function success_page() {

        $config = \Drupal::config('kashing.settings');
        $success_page = $config->get('success_page') ? $config->get('success_page') : '';

        $output = $success_page;

        $user_id = \Drupal::currentUser()->id();
        $is_admin = \Drupal\user\Entity\User::load($user_id)->hasRole('administrator');

        // Check if this is indeed a return from a gateway.

        if ( isset( $_GET[ 'kTransactionID' ] ) && $is_admin ) {

            // Display some extra information for an admin user.

            $output .= '<div class="kashing-frontend-notice kashing-success">';
            $output .= '<p><strong>' . t( 'Kashing payment successful!' ) . '</strong></p><p>' . t( 'Transaction details' ) . ':</p><ul>';
            $output .= '<li>' . t( 'Transaction ID' ) . ': <strong>' . Html::escape( $_GET[ 'kTransactionID' ] ) . '</strong></li>';
            if ( $_GET[ 'kResponse' ] ) {
                $output .= '<li>' . t( 'Response Code') . ': <strong>' . Html::escape( $_GET[ 'kResponse' ] ) . '</strong></li>';
            }
            if ( $_GET[ 'kReason' ] ) {
                $output .= '<li>' . t( 'Reason Code' ) . ': <strong>' . Html::escape( $_GET[ 'kReason' ] ) . '</strong></li>';
            }
            $output .= '</ul><p>' . t( 'This notice is displayed to site administrators only.' ) . '</p>';
            $output .= '</div>';

        }

        return $output; // Return the shortcode content
    }

}